

public class Lab {
		
	/**
	 * 
	 * Create a new lab with a given name and ID number and etc.
	 * it hold the information of Lab and hold information of student
	 * 
	 */
	 // collection of students
	 private static Student[] students;
	 // average of grade of students
	 private static int avg;
	 // class time
	 private static String day;
	 // capacity of Lab
	 private static int capacity;
	 // number of students who attend the Lab
	 private static int currentSize ;
	 
	 /**
		 * Create a new Lab with a given capacity of Lab and Class day .
		 *
		 * @param capacity of Lab
		 * @param day time of Lab
		 * 
		 */
	 public Lab(int capacity, String day) {
		 this.capacity = capacity ;
		 students = new Student[capacity];
		 this.day = day;
	 }
	 /**
	  * add the student from Student class to the Lab
	  * 
	  * @param std is the student that is from Student class
	  * 
	  */
	 public void enrollStudent(Student std) {
		 
		 if (currentSize < capacity) {
			 students[currentSize] = std;
			 currentSize++; 
		 } 
		 else {
			 System.out.println("Lab is full!!!");
		 }
	 }
	 
	 /**
	  * 
	  * print information of the all students who attend the Lab and print average of grade of students
	  * 
	  */
	 public void print() {
		 for(int i= 0 ; i< currentSize ; i++) {
			 System.out.println("std fname: " + students[i].getFirstName()
					  + " std id:" + students[i].getId()
					  + " std grade:"+ students[i].getGrade());
		 }
		 System.out.println("Lab AVG:" + avg);
	 }
	 /**
	  * get array of student
	  * @return students field
	  * 
	  */
	 public Student[] getStudents() {
		 return students ;
	 }
	 
	 /**
	  * we pass the array of students to this method and set into Lab and update the currentSize
	  * 
	  * @param students array of students
	  * 
	  */
	 public void setStudents(Student[] students) {
		 if( students.length > capacity)
			 currentSize = capacity ;
		 else 
			 currentSize = students.length ;
		 
		 this.students = students ;
	 }
	 
	 /**
	  * get the average of grade of students
	  * @return avg field
	  */
	 public int getAvg() {
		 return avg ;
	 }
	 /**
	  * calculating the averge of grade of students
	  */
	 public void calculateAvg() {
		 int sum = 0 ;
		 for(int i= 0 ; i< currentSize ; i++) {
			sum += students[i].getGrade() ; 
		 }
		 avg = sum/currentSize ;
	 }
	 /**
	  * get the day of Lab
	  * @return day field
	  */
	 public String getDay() {
		 return day ;
	 }
	 /**
	  * @param day set time of Lab
	  */
	 public void setDay(String day) {
		 this.day = day ;
	 }
	 /**
	  * get the capacity of Lab
	  * @return capacity field
	  */
	 public int getCapacity() {
		 return capacity ;
	 }
	 /**
	  * @param capacity set the capacity of Lab
	  */
	 public void setCapacity(int capacity) {
		 this.capacity = capacity ;
	 }
}